#
# spec file for package openttd-opensfx
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openttd-opensfx
Version:        0.2.3
Release:        lp150.1.1
%define srcver  %{version}
Summary:        OpenSFX replacement sounds for OpenTTD
License:        SUSE-CC-Sampling-Plus-1.0
Group:          Amusements/Games/Strategy/Other

Url:            http://dev.openttdcoop.org/projects/opensfx
Source0:        http://bundles.openttdcoop.org/opensfx/releases/opensfx-%{srcver}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  catcodec
Requires:       openttd-data

Provides:       opensfx

%description
OpenSFX replacement sounds for OpenTTD. The last required step
to make OpenTTD independent.. 

%prep
%setup -qn opensfx-%{srcver}-source

%build
make %{?_smp_mflags}

%install
make install INSTALLDIR=%{buildroot}%{_datadir}/openttd/data

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%dir %{_datadir}/openttd
%dir %{_datadir}/openttd/data
%{_datadir}/openttd/data/opensfx-%{srcver}.tar

%changelog
* Tue Aug 28 2012 cfarrell@suse.com
- license update: SUSE-CC-Sampling-Plus-1.0
  SPDX format (more specifically, the temporary substitute for this license
  in the spreadsheet linked from license.opensuse.org)
* Sun Oct 31 2010 ammler@openttdcoop.org
- name change to openttd-opensfx to make it compliment to
  other distros
* Thu Apr  1 2010 Marcel Gmür <ammler@openttdcoop.org>
- upstream update 0.2.3
* Wed Dec 23 2009 ammler@openttdcoop.org
- upstream update 0.2.1
* Sat Sep 19 2009 ammler@openttdcoop.org
- initial build
